## ros-kinetic-create-description 2.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(create_description)

find_package(catkin REQUIRED)

catkin_package(CATKIN_DEPENDS urdf xacro)

install(DIRECTORY meshes
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY urdf
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-create-description (2.3.1-0xenial) xenial; urgency=high

  * update xacro:property tag usage to stricter standard
  * Fix base geometry collision size
  * Contributors: Tully Foote, trainman419

 -- OSRF <turtlebot@osrfoundation.com>  Fri, 24 Jun 2016 07:00:00 -0000

ros-kinetic-create-description (2.3.0-0xenial) xenial; urgency=high

  * -Fix extreme slipping of create base in gazebo by using same parameters that kobuki uses
  * Contributors: Stefan Kohlbrecher

 -- OSRF <turtlebot@osrfoundation.com>  Sun, 30 Nov 2014 08:00:00 -0000

ros-kinetic-create-description (2.2.1-0xenial) xenial; urgency=high



 -- OSRF <turtlebot@osrfoundation.com>  Wed, 23 Jul 2014 07:00:00 -0000

ros-kinetic-create-description (2.2.0-0xenial) xenial; urgency=high

  * adds bugtracker and repo info to package.xml
  * removes laser simulation

 -- OSRF <turtlebot@osrfoundation.com>  Fri, 30 Aug 2013 07:00:00 -0000

ros-kinetic-create-description (2.1.0-0xenial) xenial; urgency=high

  * ROS Hydro beta release
  * Fully catkinized

 -- OSRF <turtlebot@osrfoundation.com>  Fri, 19 Jul 2013 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-create-description
Section: misc
Priority: extra
Maintainer: OSRF <turtlebot@osrfoundation.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/create_description
Standards-Version: 3.9.2

Package: ros-kinetic-create-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-urdf, ros-kinetic-xacro
Description: Model description for the iRobot Create

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-create-description//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
